//
//  FeatureSection.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 22/01/2025.
//

import SwiftUI

struct FeatureSection: View {
    let section: PricingFeatureSection

    var body: some View {
        VStack(alignment: .leading, spacing: 8) {
            SQText(section.title)
                .sqSize(18)
                .sqFont(.bold)
            if let subtitle = section.subtitle {
                SQText(subtitle)
                    .sqSize(13)
                    .sqFont(.semiBold)
            }
            ForEach(section.features, id: \.description) { feature in
                FeatureRow(feature: feature)
            }
        }
        .padding()
    }
}
